Skip to main content
POST
Create one or more payments
Create one or more payments with a beneficiary_id (mandatory only for trade-based payment and not needed for independent payments), account_id and with or without an existing trade_id. Payment processing can be made asynchronous by setting the async flag in the request body. Please note, payments can be submitted without a trade_id and they are referred to as independent payments. For these payments, there won’t be any currency conversion as the payment will be funded from the corresponding account’s balance. Therefore, these payments are not preceded by a conversion (quote and trade).

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Query Parameters

client_id
string
required

The ID of the client

vop_authorization_id
string

VoP authorization ID to confirm not full-match payment

Body

application/json

Request Payload

A list of payments with known beneficiary/bank account IDs.

async
boolean

Create the payment(s) asynchronously. Payments are created synchronously by default.

is_pad
boolean
default:false
deprecated

Whether to fund payments via Pre-Authorized Debit (direct debit). Only valid for CAD and AUD payments with available credit. Deprecated; set is_pad per payment instead. Not honoured on the SCA (2FA) path.

payments
object[]

A list of payments

trade_id
string

Unique identifier of the trade the payment is allocated to

Response

Payment(s) created synchronously

fee_amount
number<float>

Fee amount

fee_currency
string

Fee currency

payment_id
string

The payment identifier

payment_instruction
string<uri>

URI to download payment instruction

payment_receipt
string<uri>

URI to download payment receipt

reference
string

Payment reference

status
enum<string>

The current status of the payment

Available options:
Need more beneficiary information,
Validating beneficiary information,
Waiting for payment date,
Payment complete,
Executing Payment,
Payment pending of authorization,
Payment rejected,
Payment cancelled
warning
string

A warning is only returned if the requested value date was not valid and the next available date has been returned.